Create Rule
curl --request POST \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules"
payload = {
"title": "<string>",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Space — Rules
Create Rule
Create a new community rule for a space
POST
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
rules
Create Rule
Creates a community rule. Only space admins can create rules. The new rule is appended to the end of the existing rule list.
Path Parameters
UUID of the space.
Body Parameters
Short rule title.
Optional detailed description.
Response
The created Rule object with all fields including the assignedorder value.
See also: useCreateRule⌘I

